package com.community.huiju.service;

import com.community.commom.mode.ResponseBean;
import com.community.commom.session.UserElement;
import org.springframework.web.multipart.MultipartFile;

public interface BuildingTreeServiceI {
	
	/**
	 * 获取整个小区的基础数据
	 * @param file
	 * @return
	 */
	ResponseBean getExcelData(MultipartFile file);
	
	/**
	 * 上传小区的基础数据
	 * @param file
	 * @param userElement
	 * @return
	 */
	ResponseBean submitExcelData(MultipartFile file, UserElement userElement);
	
	/**
	 * 获取树形数据
	 * @param communityId
	 * @param id
	 * @param treeType
	 * @return
	 */
	ResponseBean getTreeList(Integer communityId, Integer id, String treeType);

	/**
	 * 添加当前节点
	 * @param parameter
	 * @param communityId
	 * @return
	 */
    ResponseBean addNode(String parameter, Integer communityId);

	/**
	 * 当删除前节点
	 * @param parameter
	 * @param communityId
	 * @return
	 */
	ResponseBean deleteNode(String parameter, Integer communityId);
}
